AutoCAD Inventor :: Tangent Assembly Constraint - Ellipse Surface To Line
Aug 26, 2013
Why can't Inventor constrain an ellipsoidal contour with a line? We have pressure cylinders which uses a 2:1 ellipse. These cylinder get welded to a base stand fixture. The surface of the ellipse nestles in between contact points of the base stand, in this case lines of geometry. Yet Inventor can't constrain them as such. Any good workflow (at the assembly level) so that we don't have to ground components and use the Analyze Interference tool to make sure we are right on the surfaces? I don't understand why it will work for a cylindrical surface but not an elliptical surface.
I am trying to place a tubes cylindrical surface to another tubes cylindrical surface using add constraint. How do I specify which side of the target surface to apply the constraint ?
Is it possible to apply a tangent constraint to an edge of a cylinder at an angle to the revolved side of another cylinder? I wan't to avoid applying a specific angle constraint if at all possible.
How can I create a workplane with the API that is tangent to a surface and passes thru a workpoint. It is easy to create a work plane of type kPointAndTangentWorkPlaneDefObject by point and click in Inventor 11, but I can't figure out how to do it in the API.
I'm designing a part, and am having trouble creating a plane tangent to a curved surface. One option for creating a plane says "Tangent to Surface through Point", which in theory I should be able to use, but I can't figure out how to actually place a point there before in order to create a surface at the point.
Basically I am trying to cut a circle into the curved right side of the part
My need is to assembly parts into an assembly by a known position in the assembly. The part has a UCS and I create UCS on the assembly programatically. What I cannot do is to constrain the two UCS. I tried this (Inventor 2013 x64 on W7/W8 64, c++ 2010 by the way DEBUG mode is not working from the IDE):
I have an assembly wherein one part is mated to another grounded part, with a face-to-face coincident mate. The click + drag type of movement appears to move the part, while continually solving this constraint.
However, it seems like there is no way to do a rotation in the same manner, where the constraint is continually updated. There appears to only be the "Free Rotate" command, which ignores the constraints.
Is there really no way to do this in Inventor? The application is that I am laying out a mold for many, many small parts, and I am trying to move and rotate them into position to get good packing efficiency and density. Each part will be attached to a mold base with one of the aforementioned face-to-face constraints, then slid & rotated around manually.
This seems like a really important piece of functionality. Solidworks can certainly do this, do a part rotation in an assembly, while solving for existing constraints.
Motor Model 1:1 is used to turn the wheel holders at various angles. The part named "front gear spring holder" is supposed to revolve and turn the inner part of the "front wheel holder" My problem is that I want to simulate the turning of the front wheel's using contact sets or 3d/2d contact sets in the dynamic simulation environment. I do not know how to do this, but I'm almost certain the program is capable of doing so. Also the spinning of the front wheels must be able to be done along with various angles of the front wheels(while turning, the front wheels must be able to still spin with the front gear spring holder".
I have seen threads and articles that say that making gears with contact sets is not recommended or possible but i have two instances here where they work perfectly fine using the dynamic simulation with 3d /contact sets. Take a look at the simulation I have saved as well.
I will need more on this assembly in the future, including how to create bevel gears that work at 90 degree angles or spur gears with contact sets instead of just simulating their movements .
I have a question regarding a transitional constraint between a pin and a surface within an adaptive assembly.
I would like the pin and the surface to be transitional only when the two parts "interfere" with each other.
At the moment with the example attached part A is remaining tangent to part B, restricting the necessary movement of part B to function properly in the mechanism.
In simplified terms I need part B to be able to break free of the "transitional constraint" of part A under certain movement conditions within the mechanism.
I am trying to add an angle constraint to an assembly of a ladder design. I need for the ladder to be able to be set at an angle against a wall and not vertical. The ladder design is such that the base brackets are fixed to the ground and the rest of the ladder may move about the axis of the bolted connection at the base of the ladder. I cannot get the angle constraint on the ladder to allow this.
Inventor 2013 Release 2013 SP2 Product Design Suite Ultimate 2013 64-Bit Edition 64-bit HP Z400, Intel Xeon W3550 3.07GHz 12.0GB RAM, ATI FirePro V4800 (FireGL) Anthony Goodwin ~ Cad Manager/Senior Designer Autodesk Inventor Professional 2013 SP2 64-Bit Edition Windows 7 HP Z400, Intel Xeon W3550 3.07GHz 12.0GB RAM, ATI FirePro V4800 (FireGL)
How could I center the suppressed constraint? I woul like to selecet it in the listbox.
Private Sub CommandButton1_Click() Dim oAssDoc As AssemblyDocument Set oAssDoc = ThisApplication.ActiveDocument Dim oConstraint As AssemblyConstraint For Each oConstraint In oAssDoc.ComponentDefinition.Constraints If oConstraint.HealthStatus = kSuppressedHealth Then Call ListBox1.AddItem(oConstraint.Name) End If Next oConstraint End Sub
Whenever I am using mirror command in assly . The mirrored part do not get constraint again I have to use the constraint or I have to make that part grounded.
I got a problem with editing angle constraint in assemblies. I tried edit property of constraint but it didn't move model. Simply changing Angle attribute of constraint item don't work.
I have an assembly that is nearly completed. I am trying to change the lengths of two side rails (arrow pointing to one of them). On each end of these rails are several components that have been constrained to the rails.
When I change the length of the rails, many of the constraints show errors. I expected that all components would move with the ends of the rails as they are shortened since that is where they were constrained, but this has not happened.
The constraint recovery tool has not been useful to me.
I have an Assembly2 in Assembly1. I'd like to insert Assembly2 to Assembly 3 without losing any constraints or adaptive feature to Assembly1, while Assembly2 replaced with Assembly3.
Assembly1.iam
- Assembly2.iam
+ Part1
+ Part2
This is what I want:
Assembly1.iam
- Assembly3.iam
- Assembly2.iam
+ Part1
+ Part2
But Assembly2 shouldn't lose any constraints to Assembly1.
Software: Inventor Series 2011 SP1 x64 OS: Vista Business x64 CPU: E6400 RAM: 2*2Gb GeIL VGA: Quadro FX 550
How do I make multiple views (Front, Top, Side & Isometric) when driving an assembly constraint? I want to be able to show an assembly moving from different perspectives all at one time.
Inventor 2013 Windows 7 Professional 64-bit SP1 HP EliteBook 8470w Processor: Intel(R) Core(TM) i7-3610QM CPU @ 2.30GHz Memory: 16 GB AMD FirePro M2000 3D Connexion SpacePilot
I've got a relatively simple assembly (attached) containing 3 iparts. I change the center component the assembly and I lose all the constraints. Only the length changes, I'm sure I did this before but yet it turns out to be an epic disaster.
...but I don't know how to delve into these two pointers to get hold of two named workplanes within them. I'd then pass the two workplanes (somehow?!) to the AddFlushConstraint function.
get_SurfaceBodies doesn't seem right and neither does get_SubOccurrences.
When I record an animation in .avi using the Drive Constraint command here's what pops :
-The codec you selected to compress this AVI video stream cannot handle the current screen color depth and/or the graphics frame size. Please try another codec.
-Then I press OK and it records but the AVI file is empty and no video is watchable.
What can I do?
I'm using Autodesk Inventor 2012 ans a windows 7 64bit brand new computer with Nvidia graphic card.
I would like to determine the Proxy ObjectType returned from Constraint.EntityOne (i.e. If oConst.EntityOne = kWorkPointProxyObject Then ....)
Property EntityOne() As IDispatch**
how IDispatch works.
Dim oAsmDef As AssemblyComponentDefinitionSet oAsmDef = oAsmDoc.ComponentDefinition Dim oConst As AssemblyConstraint For Each oConst In oAsmDef.Constraints'Below will print the Enum 67120288 (kEdgeProxyObject) or 67119520 (kFaceProxyObject) if 'it is constrained. It will Err if a Work or Sketch Proxy Object is Constrained Debug.Print oConst.EntityOne Debug.Print oConst.EntityTwo Next
I am trying to create a dimension in an .idw that goes from a line to the tangent of the outer diameter. I have tried several approaches but I cannot get it to work. Essentially I am trying to replicate a drawing which was created in Solidworks but I am having trouble with this dimension.
How to correct length line Tangent Edges, Foreshortened (sheet metal drawing) ? I didn't find option to correct length line Foreshortened (sheet metal drawing) .
i have problem with the Application option settings for sketch enviroment: When i draw a line in the sketch, i am not able to do the "click hold for a tangent arc to the representing line" it just starts a new straight line.
I know it has something to do with the settings, but can figure out what the correct settings are...
I don't undrstand why my assembly line increased after the existing surface in cut and fill condition, it should be stop at the existing surface. due to this problem my cut and fill quantities is not coming accurate. I'm attaching the screens shot of section. I'm using civil 3d 2009 32 bit software.